/* Actions */
import {
    INIT_PAYMENTS_PURCHASES_BANK,
    RESET_PAYMENTS_PURCHASES_BANK
} from '@/constants/actionTypes'
/* Mutations */
import {
    SET_PAYMENTS_PURCHASES_BANK
} from '@/constants/mutationTypes'
/* Const */


const initialState ={
    bank: []
}

const state = {
    bank: initialState.bank
}

const getters = {
    /**
     * [bank description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    bank(state) {
        return state.bank
    }
}

const mutations ={
    /**
     * [bank description]
     * @type {[type]}
     */
    [SET_PAYMENTS_PURCHASES_BANK] (state, payload) {
        state.bank = payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_PURCHASES_BANK]
     */
    [INIT_PAYMENTS_PURCHASES_BANK] ({ commit }, payload){
        commit(SET_PAYMENTS_PURCHASES_BANK, payload)
    },
    /**
     * [RESET_PAYMENTS_PURCHASES_BANK]
     */
    [RESET_PAYMENTS_PURCHASES_BANK] ({ commit }, payload){
        commit(SET_PAYMENTS_PURCHASES_BANK, [])
    }


}

export default {
    state,
    getters,
    mutations,
    actions
}
