/* Actions */
import {
    INIT_PAYMENTS_PURCHASES_BANK_TYPE,
    RESET_PAYMENTS_PURCHASES_BANK_TYPE
} from '@/constants/actionTypes'
/* Mutations */
import {
    SET_PAYMENTS_PURCHASES_BANK_TYPE
} from '@/constants/mutationTypes'
/* Const */

const initialState ={
    bankType: []
}

const state = {
    bankType: initialState.bankType
}

const getters = {
    /**
     * [bankType description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    bankType(state){
        return state.bankType
    }
}

const mutations = {
    /**
     * [bankType description]
     * @type {[type]}
     */
    [SET_PAYMENTS_PURCHASES_BANK_TYPE] (state, payload) {
        state.bankType = payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_PURCHASES_BANK_TYPE]
     */
    [INIT_PAYMENTS_PURCHASES_BANK_TYPE] ({ commit }, payload){
        commit(SET_PAYMENTS_PURCHASES_BANK_TYPE, payload)
    },
    /**
     * [RESET_PAYMENTS_PURCHASES_BANK_TYPE]
     */
    [RESET_PAYMENTS_PURCHASES_BANK_TYPE] ({ commit }, payload) {
        commit(SET_PAYMENTS_PURCHASES_BANK_TYPE, payload)
    }

}

export default {
    state,
    getters,
    mutations,
    actions
}
